> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all residents

GET https://api.propexo.com/v1/residents/

Get all residents

Only current and future residents will be synced by default. If you want past residents, please reach out to support for us to enable this.

Reference: https://docs.propexo.com/api-reference/mri/residents/get-all-residents

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `x_id` (string, optional) — The external resident id
- `x_property_id` (string, optional) — Deprecated: Use Propexo property_id instead
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `property_id` (string, optional) — The Propexo property id
- `lease_id` (string, optional) — The Propexo lease id
- `integration_id` (string, optional) — The Propexo integration id
- `integration_vendor` (enum, optional) — The integration vendor for the resident.
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `email_1` (string, optional) — The primary email address associated with the resident
- `phone_1` (string, optional) — Filter by phone number (10 digit format only)

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of V1ResidentsGetOutputResultsItems, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1ResidentsGetOutputResultsItems

- `id` (string, required) — The Propexo unique identifier for the resident
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
- `address_1_alternate` (any, required) — The first alternate address line associated with the residentThis field will always be null for MRI
- `address_1` (any, required) — The first address line associated with the residentThis field will always be null for MRI
- `address_2_alternate` (any, required) — The second alternate address line associated with the residentThis field will always be null for MRI
- `address_2` (any, required) — The second address line associated with the residentThis field will always be null for MRI
- `balance_in_cents` (any, required) — The rent balance owedThis field will always be null for MRI
- `city_alternate` (any, required) — The alternate city associated with the residentThis field will always be null for MRI
- `city` (any, required) — The city associated with the residentThis field will always be null for MRI
- `country_alternate` (any, required) — The alternate country associated with the residentThis field will always be null for MRI
- `country` (any, required) — The country associated with the residentThis field will always be null for MRI
- `custom_data` (V1ResidentsGetOutputResultsItemsCustomData, required, nullable)
- `date_of_birth` (any, required) — The date of birth associated with the residentThis field will always be null for MRI
- `email_1` (string, required, nullable) — The primary email address associated with the resident | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
- `email_2` (any, required) — The secondary email address associated with the residentThis field will always be null for MRI
- `first_name` (string, required, nullable) — The first name associated with the resident | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
- `is_employee` (any, required) — Is the resident an employeeThis field will always be null for MRI
- `last_name` (string, required, nullable) — The last name associated with the resident | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
- `late_balance_in_cents` (any, required) — The past due rent balance owedThis field will always be null for MRI
- `middle_name` (any, required) — The middle name associated with the residentThis field will always be null for MRI
- `notes` (any, required) — Notes associated with the residentThis field will always be null for MRI
- `phone_1_type` (enum, required) — Type of the primary phone number | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_1` (string, required, nullable) — Primary phone number associated with the residentMRI offers mobile, home, work, and fax numbers. Propexo stores these in that priority order. If you need more fields for the other numbers, contact Propexo support. | Method | | --------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?\$api=resident-contact |
- `phone_2_type` (enum, required) — Type of the secondary phone number | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the residentMRI offers mobile, home, work, and fax numbers. Propexo stores these in that priority order. If you need more fields for the other numbers, contact Propexo support. | Method | | --------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?\$api=resident-contact |
- `state_alternate` (any, required) — The alternate state associated with the residentThis field will always be null for MRI
- `state` (any, required) — The state associated with the residentThis field will always be null for MRI
- `zip_alternate` (any, required) — The alternate zip code associated with the residentThis field will always be null for MRI
- `zip` (any, required) — The zip code associated with the residentThis field will always be null for MRI
- `pets` (list of V1ResidentsGetOutputResultsItemsPetsItems, required)
- `vehicles` (list of V1ResidentsGetOutputResultsItemsVehiclesItems, required) — This field is not currently hydrated for MRI
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `MRI`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property
- `x_lease_id` (string, required, nullable, deprecated) — Deprecated. Use leases_meta_data instead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
- `leases_meta_data` (list of V1ResidentsGetOutputResultsItemsLeasesMetaDataItems, optional) — Known associated lease meta data

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1ResidentsGetOutputResultsItemsCustomData

### V1ResidentsGetOutputResultsItemsPetsItems

- `id` (string, required) — The Propexo unique identifier for the resident pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `name` (any, required) — The name associated with the resident petThis field will always be null for MRI
- `type` (string, required, nullable) — The type associated with the resident pet | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `breed` (any, required) — The breed of the resident petThis field will always be null for MRI
- `gender_raw` (any, required) — The raw value for the gender of the resident petThis field will always be null for MRI
- `age_in_years` (any, required) — The age in years of the resident petThis field will always be null for MRI
- `weight_in_pounds` (any, required) — The weight in pounds of the resident petThis field will always be null for MRI
- `is_fixed` (any, required) — Whether the resident pet is fixedThis field will always be null for MRI
- `is_service_animal` (any, required) — Whether the resident pet is a service animalThis field will always be null for MRI
- `notes` (any, required) — Notes associated with the resident petThis field will always be null for MRI
- `custom_data` (V1ResidentsGetOutputResultsItemsPetsItemsCustomData, required, nullable)

### V1ResidentsGetOutputResultsItemsVehiclesItems

- `id` (string, required) — The Propexo unique identifier for the resident vehicle
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `make` (string, required, nullable) — The make of the resident vehicleThis field is not currently hydrated for MRI
- `model` (string, required, nullable) — The Propexo data model (e.g. units, residents, applicants, etc.) associated with the resident vehicleThis field is not currently hydrated for MRI
- `color` (string, required, nullable) — The color of the resident vehicleThis field is not currently hydrated for MRI
- `year` (string, required, nullable) — The year of the resident vehicleThis field is not currently hydrated for MRI
- `license_plate_number` (string, required, nullable) — The license plate number of the resident vehicleThis field is not currently hydrated for MRI
- `license_plate_state` (string, required, nullable) — The license plate state of the resident vehicleThis field is not currently hydrated for MRI
- `notes` (string, required, nullable) — Notes associated with the resident vehicleThis field is not currently hydrated for MRI
- `custom_data` (V1ResidentsGetOutputResultsItemsVehiclesItemsCustomData, required, nullable)

### V1ResidentsGetOutputResultsItemsLeasesMetaDataItems

- `lease_id` (string, required) — The Propexo unique identifier for the lease | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
- `x_resident_type` (string, required, nullable) — The external type of the resident from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
- `resident_type_normalized` (V1ResidentsGetOutputResultsItemsLeasesMetaDataItemsResidentTypeNormalized, required, nullable) — Resident type from Propexo | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |
- `move_in_date` (any, required) — The move-in date associated with the residentThis field will always be null for MRI
- `move_out_date` (any, required) — The move-out date associated with the residentThis field will always be null for MRI
- `notice_date` (any, required) — The date the resident gave noticeThis field will always be null for MRI
- `custom_data` (V1ResidentsGetOutputResultsItemsLeasesMetaDataItemsCustomData, required, nullable)
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS

### V1ResidentsGetOutputResultsItemsPetsItemsCustomData

### V1ResidentsGetOutputResultsItemsVehiclesItemsCustomData

### V1ResidentsGetOutputResultsItemsLeasesMetaDataItemsResidentTypeNormalized

Resident type from Propexo | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentLeaseDetailsByPropertyID | | /mriapiservices/api.asp?$api=resident-contact |

### V1ResidentsGetOutputResultsItemsLeasesMetaDataItemsCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "00000123",
      "address_1_alternate": null,
      "address_1": null,
      "address_2_alternate": null,
      "address_2": null,
      "balance_in_cents": null,
      "city_alternate": null,
      "city": null,
      "country_alternate": null,
      "country": null,
      "custom_data": {},
      "date_of_birth": null,
      "email_1": "jane.doe@example.com",
      "email_2": null,
      "first_name": "Jane",
      "is_employee": null,
      "last_name": "Doe",
      "late_balance_in_cents": null,
      "middle_name": null,
      "notes": null,
      "phone_1_type": "MOBILE",
      "phone_1": "5555555555",
      "phone_2_type": "OTHER",
      "phone_2": "5555555554",
      "state_alternate": null,
      "state": null,
      "zip_alternate": null,
      "zip": null,
      "pets": [
        {
          "id": "clwktsp9v000008l31iv218hn",
          "created_at": "2024-03-21T15:38:08.337Z",
          "updated_at": "2024-03-22T10:59:45.119Z",
          "last_seen": "2024-03-22T10:59:45.119Z",
          "x_id": "89",
          "name": null,
          "type": "D",
          "breed": null,
          "gender_raw": null,
          "age_in_years": null,
          "weight_in_pounds": null,
          "is_fixed": null,
          "is_service_animal": null,
          "notes": null,
          "custom_data": {}
        }
      ],
      "vehicles": [
        {
          "id": "clwktsp9v000008l31iv218hn",
          "created_at": "2024-03-21T15:38:08.337Z",
          "updated_at": "2024-03-22T10:59:45.119Z",
          "last_seen": "2024-03-22T10:59:45.119Z",
          "x_id": "string",
          "make": "string",
          "model": "string",
          "color": "string",
          "year": "string",
          "license_plate_number": "string",
          "license_plate_state": "string",
          "notes": "string",
          "custom_data": {}
        }
      ],
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "MRI",
      "property_id": "clwi5xiix000008l6ctdgafyh",
      "x_lease_id": "string",
      "leases_meta_data": [
        {
          "lease_id": "cmbz5jylv9133791496c6cf2a8d7apq",
          "x_resident_type": "Other Resident",
          "resident_type_normalized": "OTHER",
          "move_in_date": null,
          "move_out_date": null,
          "notice_date": null,
          "custom_data": {},
          "last_seen": "2024-03-22T10:59:45.119Z"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/residents/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/residents/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/residents/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/residents/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/residents/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/residents/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/residents/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/residents/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```